/*
*  PopPassDlg.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "PopPassDlg.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TPassDlg *PassDlg;
//---------------------------------------------------------------------------

AnsiString __fastcall GetPopPassword(TForm *Owner, AnsiString &Account,
   bool &Cancel)//, bool &Remember)
{
   AnsiString pass;
   PassDlg = new TPassDlg(Owner);
   PassDlg->Label3->Caption = Account;
   PassDlg->ShowModal();
   if (PassDlg->ModalResult==mrOk)
   {
      //Remember = PassDlg->RememberBox->Checked;
      pass = PassDlg->Password->Text;
   }
   Cancel = PassDlg->ModalResult==mrCancel;
   delete PassDlg;
   return pass;
}
//---------------------------------------------------------------------------

__fastcall TPassDlg::TPassDlg(TComponent* Owner)
  : TForm(Owner)
{
   CenterDialog(this, Owner);
}
//---------------------------------------------------------------------------

void __fastcall TPassDlg::HideBoxClick(TObject *Sender)
{
   Password->PasswordChar = HideBox->Checked ? '*' : '\0';
}
//---------------------------------------------------------------------------

void __fastcall TPassDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrOk && !Password->Text.Length())
   {
      MessageBox(Handle,"A password is required!","Password Problem",MB_OK);
      CanClose = false;
   }
}
//---------------------------------------------------------------------------
