/*
*  PrintDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef PrintDlgsH
#define PrintDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall PrintMessage(TStrings *Lines, TFont *Font, AnsiString &Title=String("Print"),
   TForm* Form=Application->MainForm
);

class TPrintingDlg : public TForm
{
__published:	// IDE-managed Components
   TLabel *msg;
   TTimer *Timer1;
        TButton *CancelBtn;
   void __fastcall Timer1Timer(TObject *Sender);
   
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
   void __fastcall FormShow(TObject *Sender);

        void __fastcall CancelBtnClick(TObject *Sender);
   
private:	// User declarations
public:		// User declarations
   TFont *Font;
   bool Cancelled; // my own cancel (modalresult is set later)
   bool Printing;  // my own printing bool
   TStringList *Lines;
   __fastcall TPrintingDlg(TComponent* Owner);
   void __fastcall PrintLines();
};

const int lmargin = 150;
const int tmargin = 150;
const int bmargin = 300;
const int between = 3;
//---------------------------------------------------------------------------
extern TPrintingDlg *PrintingDlg;
//---------------------------------------------------------------------------
#endif
